<?php
    // hi 
    
    class Logger {

        protected $log_handle;

        public function __construct($filename) {
            $this->log_handle = fopen($filename, "a+");
            if ($this->log_handle == false) {
                // Error!
                return false;
            }
        }

        private function __clone() { }
        
        public function __destruct() {
            fclose($this->log_handle);
        }

        public function append_log($text) {
                fwrite($this->log_handle, sprintf("\n[%s] %s", date("Y/m/d H:i:s P"), $text));
        }

        public function log_info($header, $info) {
            $this->append_log(sprintf("[INFO] [%s] %s", $header, $info));
        }

        public function log_warning($header, $info) {
            $this->append_log(sprintf("[WARN] [%s] %s", $header, $info));
        }

        public function log_error($header, $info) {
            $this->append_log(sprintf("[ERROR] [%s] %s", $header, $info));
        }

        public function log_fatal($header, $info) {
            $this->append_log(sprintf("[FATAL] [%s] %s", $header, $info));
        }
    }
                            
    // bye
?>
