<?php
    $config = require_once('config.php');
    
    // logger
    require_once 'class/logger.php';
    $logger = new Logger($config["LOG_FILE"]);

    // error page generator
    require_once 'class/template_builder.php';
    $template_builder = new TemplateBuilder($logger);
    foreach (glob("static/template/*.html") as $page) {
            $template_builder->store_existing($page, explode(".", explode("/", $page)[2])[0]);
    }

    // PDO
    require_once 'pdo.php';

    // cache builder (aKa page builder. TODO supply custom templates by dropping them to a folder)
    require_once 'class/cache_builder.php';
    $cache_builder = new CacheBuilder($logger, $pdo, $template_builder);

    // handy functions
    require_once 'tools.php';
?>
